/**
 * Copyright (C) 2010  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.cxf.osgi;

import org.osgi.framework.BundleContext;
import org.ow2.orchestra.cxf.CxfInvoker;
import org.ow2.orchestra.cxf.CxfPublisher;
import org.ow2.orchestra.osgi.OrchestraExtensionService;
import org.ow2.orchestra.osgi.OrchestraWSEngineActivator;


/**
 * @author Guillaume Porcher
 *
 */
public class OrchestraCxfActivator extends OrchestraWSEngineActivator {

  /**
   * @param context
   */
  public OrchestraCxfActivator(final BundleContext context) {
    super(context);
  }

  @Override
  public void start() throws Exception {
    this.orchestraExtensionService.addExtension(CxfInvoker.class);
    this.orchestraExtensionService.addExtension(CxfPublisher.class);

    super.start();
  }

  @Override
  public void unsetOrchestraExtensionService(final OrchestraExtensionService orchestraExtensionService) {
    if (this.orchestraExtensionService != null) {
      this.orchestraExtensionService.removeExtension(CxfInvoker.class);
      this.orchestraExtensionService.removeExtension(CxfPublisher.class);
    }
    super.unsetOrchestraExtensionService(orchestraExtensionService);
  }

}
